Skip to main content
POST
Export consumption analytics

Authorizations

Authorization
string
header
required

Your DUST API key is a Bearer token.

Path Parameters

wId
string
required

Unique string identifier for the workspace

Body

application/json
startDate
string<date-time>
required

Start of the time range (inclusive), ISO 8601 datetime

Example:

"2026-01-01T00:00:00Z"

endDate
string<date-time>
required

End of the time range (exclusive), ISO 8601 datetime. Must be after startDate, at most 30 days apart.

Example:

"2026-01-15T00:00:00Z"

format
enum<string>

Output format (defaults to csv)

Available options:
csv,
ndjson
filter
object

Optional dimension filters. Each key maps to an array of string identifiers to include. Each value must be at most 256 characters. The total number of values across all dimensions must not exceed 500.

Response

The consumption data in CSV or NDJSON format

The response is of type string.